Subject: Re: [codesprints] New datatracker release: v4.21

From: Henrik Levkowetz <[email-masked]>
Date: Thu, 21 Jun 2012 03:08:22 +0200

Hi,

The last part of the (rather long) changelog for the release fell
off due to a bug in the release script; it's included below:

On 2012-06-21 03:01 Henrik Levkowetz said the following:
> Hi,
> 
> This is an automatic notification about a new datatracker release, 
> v4.21, generated when running the mkrelease script.
> 
> Release notes:
> 
> ietfdb (4.21)
>   This is a bugfix release for the charter release (4.20) with some
>   extra changes which were pending.
>   From [email-masked]:  
>   * Replace get_profile() hack with a test on the user instead, this
>     also makes the ballot icon more robust against users without profiles
>     (which shouldn't happen, but apparently we sometimes get one which
>     results in a crash rather than something more graceful)
>   * Give the incoming name to the top renderer so the links are internally
>     consistent, this is needed because we still have different views for
>     /doc/rfcXXXX/ and /doc/draft-foo-bar/
>   * Fix regexp fix - [.-_] does not mean 'dot or dash or underscore', it
>     means all characters between dot and underscore
>   * Include _ in allowed document name regexp, we currently have 7 drafts
>     with _ in the database despite it not being valid - they can be found
>     with:
>     select name from doc_document where name like '%\_%' and type_id = 'draft';
>   * Fix flow of approval of charters/announcement of the WG action based
>     on feedback from Cindy Morgan, now there's a link on the approval page
>     to go to the edit page which sends you back upon saving, and the edit
>     page doesn't provide a button to send the announcement since you
>     should do that on the approve page (instead it provides a link).
>   * Include current milestones in charter action/review announcements,
>     fixes issue #835.
>   * Add CC for group mailing list in action/review emails, fixes issue #837.
>   * Fix link to charter .txt file on agenda page
>   * Apparently, CHARTER_TXT_URL http://www.ietf.org/charters/ is really
>     http://www.ietf.org/charter/, fix this in the settings.py file
>   * Replace get_profile() hack with a test on the user instead, this
>     also makes the ballot icon more robust against users without profiles
>     (which shouldn't happen, but apparently we sometimes get one which
>     results in a crash rather than something more graceful)
>   * Give the incoming name to the top renderer so the links are internally
>     consistent, this is needed because we still have different views for
>     /doc/rfcXXXX/ and /doc/draft-foo-bar/
>   * Fix regexp fix - [.-_] does not mean 'dot or dash or underscore', it
>     means all characters between dot and underscore
>   * Include _ in allowed document name regexp, we currently have 7 drafts
>     with _ in the database despite it not being valid - they can be found
>     with:
>     select name from doc_document where name like '%\_%' and type_id = 'draft';
>   * Fix flow of approval of charters/announcement of the WG action based
>     on feedback from Cindy Morgan, now there's a link on the approval page
>     to go to the edit page which sends you back upon saving, and the edit
>     page doesn't provide a button to send the announcement since you
>     should do that on the approve page (instead it provides a link).
>   * Include current milestones in charter action/review announcements,
>     fixes issue #835.
>   * Add CC for group mailing list in action/review emails, fixes issue #837.
>   * Fix link to charter .txt file on agenda page
>   From [email-masked]:
>   * Expose how many pages each document contains on the docs on future
>     telechats page.  Fixes bug #828
>   *  Replaced the concept of a tag (via-rfc) identifying ise or irtf document
>     (previously the idinternal.via_rfc_editor boolean) with looking at the
>     document's stream.  Removed the stream editing form - that functionality
>     is on the edit info form.  Put the old-ADs back into the list of choices
>     when editing a document's info.  This (re) fixes bug #749
>   From [email-masked]:
  From [email-masked]:

  * Fix to the requests data page:
     - uses native schema for much greater efficiency
     - Uses meeting ID properly, so it can find future meetings
       even if their ID does not match the meeting number
     - Dramatic improvements to layout

  From [email-masked]:

  * Try to not use explicit .html extensions in the urls.  Redirect from 
    those to .html-less urls.

  * Added a new field 'short' to Session, to help produce file names for 
    agendas, minutes and slides for groups with different named session, such 
    as for instance 'edu'.  Generating distinct filenames directly from the 
    name field gives too long names.

  * Quick fix for extensionless get_absolute_url().  XXX Fixme: needs 
    bigger refactoring.

  * Quick fix for crash when going to /wg/imapmove/charter/.  I'm not happy 
    about the 'charter-ietf-' constant which now appears several places in the 
    code; we need settings which defines the correct name pattern for different 
    document types (or a table or table column, maybe).  But this hopefully 
    will make it possible to continue processing proposed WGs ...

  * Added missing '{{' before 'submission.filename' in draft announcement 
    email templates.

  * Other minor fixes

> 
> The new version is available through SVN checkout, with
>   'svn checkout http://svn.tools.ietf.org/svn/tools/ietfdb/tags/4.21'
> 
> Regards,
> 
> 	Henrik
> 	(via the mkrelease script)
> 
>

---

From: Henrik Levkowetz <[email-masked]>
Date: Thu, 21 Jun 2012 03:01:42 +0200

Hi,

Release notes:

ietfdb (4.21)

Regards,

	Henrik

---

From: "Steve Young" <[email-masked]>
Date: Thu, 21 Jun 2012 12:01:52 -0700

Datatracker v4.21 has been deployed.

Best regards,
Steve

> -----Original Message-----
> From: Henrik Levkowetz [mailto:[email-masked]]
> Sent: Wednesday, June 20, 2012 6:02 PM
> To: [email-masked]
> Cc: [email-masked]; [email-masked]; [email-masked];
> [email-masked]; [email-masked]; [email-masked];
> [email-masked]; [email-masked]; [email-masked];
> [email-masked]; [email-masked]; [email-masked];
> [email-masked]; [email-masked]
> Subject: New datatracker release: v4.21
> 
> 
> Hi,
> 
> This is an automatic notification about a new datatracker release, v4.21,
> generated when running the mkrelease script.
> 
> Release notes:
> 
> ietfdb (4.21)

---

From: Henrik Levkowetz <[email-masked]>
Date: Thu, 21 Jun 2012 21:16:37 +0200

> Datatracker v4.21 has been deployed.

Thank you, Steve!

Best regards,

	Henrik